# Batch Size Limits - incomplete

The INTMAX Client SDK enforces batch size limits for certain operations to ensure optimal performance and prevent resource exhaustion:

#### Transaction Broadcasting <a href="#transaction-broadcasting" id="transaction-broadcasting"></a>

* **Maximum transactions per `broadcastTransaction` call**: 63 transactions
* This limit applies when batching multiple transfers in a single transaction broadcast

#### Data Fetching Operations <a href="#data-fetching-operations" id="data-fetching-operations"></a>

* **Maximum items per internal API request**: 64 items
* This limit applies to internal pagination used by:
  * `fetchDeposits()`
  * `fetchTransfers()`
  * `fetchTransactions()`
* The SDK automatically handles pagination, so you don't need to manage this limit when using high-level APIs
* Specifying a value greater than 64 will result in an error: `Limit exceeds max batch size` or `Batch size exceeds maximum limit of 64`

### Fee <a href="#fee" id="fee"></a>

Please refer to the following for details about the fees.

* [Q. How are transaction fees determined on the INTMAX network?](https://docs.network.intmax.io/developers-hub/intmax-client-sdk/faq#q-how-are-transaction-fees-determined-on-the-intmax-network)
* [Q. What is the collateral fee?](https://docs.network.intmax.io/developers-hub/intmax-client-sdk/faq#q-what-is-the-collateral-fee)

**`getTransferFee`**

The getTransferFee function estimates the transaction fee required to perform a token transfer within the INTMAX network.

```
const trasnferFee: FeeResponse = await client.getTransferFee();

// example
{
  beneficiary: 'T7iFM2BEtd3JxkaUNfZge83CtAqhdgcjGgJpiityyrYMW739SyyDYF5bnR8fkSG3G9YT4VZtur3hKhvuDm5ZLneYLy8j7gG',
  fee: {
    amount: "2000000000000",
    token_index: 0,
  },
  collateral_fee: {
    amount: "20000000000000",
    token_index: 0,
  }
}
```

**`getWithdrawalFee`**

This function estimates the transaction fee required to perform a token withdrawal within the INTMAX network.

```
const withdrawalFee: FeeResponse = await client.getWithdrawalFee();

// example
{
  beneficiary: 'T7v5ya7osVxjhu35X8hRMFD2wByq8tF2Pjkag2K2NfNMX8ZdUfiAD5pR2M4bQf8XgTAbAYzyLX6AMGm3Vj78oYNLH5PhGMm',
  fee: {
    amount: "32500000000000",
    token_index: 0,
  },
  collateral_fee: undefined
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://intmax-general.gitbook.io/intmax-developers-hub/intmax-network-tools/intmax-client-sdk/api-reference/batch-size-limits-incomplete.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
